#if !defined(AFX_LISTEFF_H__3BAE6E19_C131_495C_B481_6322E7F2F660__INCLUDED_)
#define AFX_LISTEFF_H__3BAE6E19_C131_495C_B481_6322E7F2F660__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ListEff.h : header file
//
#define WM_SCR WM_USER+300

/////////////////////////////////////////////////////////////////////////////
// ListEff window
class CManagerEffectivityDlg;
class ListEff : public CListCtrl
{
// Construction
public:
	ListEff();

// Attributes
public:
	ListEff *m_list1;
	bool is_sender;
	bool isMouseDown;//флаг, определяющий нажата ли клавиша мыши
	int prevPos;//индекс предыдущей выделенной строки
	CSize size;
	CManagerEffectivityDlg *maindlg;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ListEff)
	protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
public:

	// Generated message map functions
protected:
	//{{AFX_MSG(ListEff)
#if _MSC_VER >= 1400
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
#else
	afx_msg void OnVScroll(UINT nSBCode, int nPos, CScrollBar* pScrollBar);
#endif
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnNcMouseMove(UINT nHitTest, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTEFF_H__3BAE6E19_C131_495C_B481_6322E7F2F660__INCLUDED_)
